Subject: bug#15388: 24.3.50; OSX fullscreen mode and tool-bar-mode

From: Jan Djärv <[email-masked]>
Date: Tue, 24 Sep 2013 07:32:02 +0200

Hello.

Please keep the debbugs address in replies.

23 sep 2013 kl. 21:30 skrev Bernd Rellermeyer <[email-masked]>:

> Hello Jan,
> 
> what I mean is: in fullscreen mode the toolbar is visible when you got with the mouse to the top of the screen. The menubar and the toolbar will then be visible as in the following screen shot:
> 
> 
> The situation is reproducible in Emacs -Q:
> 
> 1. Start Emacs -Q
> 2. M-x tool-bar-mode, so that the toolbar is not visible
> 3. toggle-frame-fullscreen
> 4. Go with the mouse to the top of the screen.

I don't see it in OSX 10.8 so it must be 10.7-specific.

> 
> Then the toolbar is visible.
> 
> When you have (tool-bar-mode -1) in your .emacs file and start Emacs the toolbar is not visible right after the start. When you then call M-x toggle-frame-fullscreen and go with the mouse to the top of the screen you see the following:
> 
> 
> Instead of the toolbar, there is one blank line below the menubar. When you then call tool-bar-mode twice, the blank line disappears.  When you call toggle-frame-fullscreen twice and go with the mouse to the top of the screen, the toolbar is visible again.

I don't see this either.  I don't have access to a 10.7 machine, but I'll take a look in the sources if anything sticks out.

	Jan D.

> 
> Bernd
> 
> 
> Am 16.09.2013 um 10:08 schrieb Jan Djärv:
> 
>> Hello. 
>> 
>> 15 sep 2013 kl. 10:03 skrev Bernd Rellermeyer <[email-masked]>:
>> 
>>> 
>>> According to bug 13444 the problem concering OSX native fullscreen mode and
>>> `tool-bar-mode should' be fixed. The toolbar is now always activated in
>>> fullscreen mode and visible when the mouse is at the top of the screen.
>> 
>> The toolbar in fullscreen is activated according to took-bar-mode, not always. 
>> 
>>> But there is still the following problem:
>>> 
>>> When I start Emacs with `tool-bar-mode' disabled and then going into
>>> fullscreen mode, instead of a toolbar there is one blank line below the
>>> menu line. After toggling the `tool-bar-mode' the problem disappears and
>>> the full tool bar is visible.
>>> 
>> 
>> This description makes no sense. 
>> If you have disabled the toolbar, how can you have something instead of the toolbar?  How can there be a blank line below the menubar when there is no visible menubar in fullscreen?
>> 
>> Please clarify. Provide screenshots if you can and a way to reproduce the bug starting from emacs -Q. 
>> 
>> Thanks, 
>> 
>>      Jan D. 
>> 
>>> 
>>> 
>>> In GNU Emacs 24.3.50.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
>>> of 2013-09-14 on bob.porkrind.org
>>> Bzr revision: 114277 [email-masked]
>>> Windowing system distributor `Apple', version 10.3.1138
>>> Configured using:
>>> `configure --host=x86_64-apple-darwin --build=i686-apple-darwin
>>> --with-ns'
>>> 
>>> Important settings:
>>> value of $LANG: de_DE.UTF-8
>>> locale-coding-system: utf-8-unix
>>> default enable-multibyte-characters: t
>>> 
>>> Major mode: Lisp Interaction
>>> 
>>> Minor modes in effect:
>>> which-function-mode: t
>>> cua-mode: t
>>> show-paren-mode: t
>>> global-auto-revert-mode: t
>>> tooltip-mode: t
>>> mouse-wheel-mode: t
>>> menu-bar-mode: t
>>> file-name-shadow-mode: t
>>> global-font-lock-mode: t
>>> font-lock-mode: t
>>> auto-composition-mode: t
>>> auto-encryption-mode: t
>>> auto-compression-mode: t
>>> line-number-mode: t
>>> transient-mark-mode: t
>>> 
>>> Recent input:
>>> C-s-f C-s-f M-x r e p o <tab> r <tab> <return>
>>> 
>>> Recent messages:
>>> Loading /Users/Shared/local/etc/emacs/default.d/40ispell-multi.el (source)...done
>>> Loading /Users/Shared/local/etc/emacs/default.d/40moz.el (source)...done
>>> Loading /Users/Shared/local/etc/emacs/default.d/40no-word.el (source)...done
>>> Loading /Users/Shared/local/etc/emacs/default.d/40outline-magic.el (source)...done
>>> Loading /Users/Shared/local/etc/emacs/default.d/40outline-mode-easy-bindings.el (source)...done
>>> Loading /Users/Shared/local/etc/emacs/default.d/40speck.el (source)...done
>>> Starting Emacs daemon.
>>> command-line: I/O error during daemon initialization
>>> When done with this frame, type C-x 5 0
>>> Making completion list...
>>> 
>>> Load-path shadows:
>>> /Users/Shared/local/etc/emacs/site-start hides /Applications/Emacs.app/Contents/Resources/site-lisp/site-start
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org hides /Applications/Emacs.app/Contents/Resources/lisp/org/org
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-w3m hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-w3m
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-version hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-version
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-timer hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-table
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-src hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-src
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-rmail hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-rmail
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-protocol hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-plot hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-pcomplete hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-mouse hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-mobile hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-mhe hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-mhe
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-macs hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-loaddefs hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-list hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-list
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-irc hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-irc
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-install hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-install
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-inlinetask hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-info hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-info
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-indent hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-id hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-id
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-habit hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-gnus hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-gnus
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-footnote hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-feed hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-faces hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-eshell hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-eshell
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-entities hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-element hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-element
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-docview hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-docview
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-datetree hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-ctags hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-crypt hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-compat hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-colview hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-clock hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-capture hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-bibtex hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-bibtex
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-bbdb hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-bbdb
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-attach hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-archive hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
>>> /Users/bernd/.emacs.d/elpa/org-20130909/org-agenda hides /Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-tangle hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-table hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-sqlite hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-sql hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-shen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-shen
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-sh hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sh
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-screen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-scheme hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-scala hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-scala
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-sass hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-ruby hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-ref hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-R hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-python hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-plantuml hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-picolisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-picolisp
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-perl hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-org hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-octave hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-ocaml hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-mscgen hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-mscgen
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-maxima hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-matlab hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-lob hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-lisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-lilypond hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-ledger hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ledger
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-latex hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-keys hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-keys
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-js hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-java hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-io hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-io
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-haskell hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-gnuplot hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-fortran hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-exp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-eval hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-emacs-lisp hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-dot hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-ditaa hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-css hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-comint hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-clojure hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-calc hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-C hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-awk hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
>>> /Users/bernd/.emacs.d/elpa/org-20130909/ob-asymptote hides /Applications/Emacs.app/Contents/Resources/lisp/org/ob-asymptote
>>> 
>>> Features:
>>> (shadow sort gnus-util mail-extr emacsbug message cl-macs gv format-spec
>>> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
>>> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
>>> mm-util mail-prsvr mail-utils help-mode server no-word dictem cl
>>> cl-loaddefs cl-lib tex-site adaptive-wrap info easymenu package
>>> which-func imenu org-install jka-compr avoid cua-base windmove paren
>>> time-date autorevert filenotify byte-opt bytecomp byte-compile cconv
>>> ns-tm my-skeletons skeleton advice help-fns tooltip ediff-hook vc-hooks
>>> lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
>>> fringe tabulated-list newcomment lisp-mode prog-mode register page
>>> menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
>>> syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
>>> vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
>>> romanian slovak czech european ethiopic indian cyrillic chinese
>>> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
>>> loaddefs button faces cus-face macroexp files text-properties overlay
>>> sha1 md5 base64 format env code-pages mule custom widget
>>> hashtable-print-readable backquote make-network-process ns multi-tty
>>> emacs)
>>> 
>>> 
>